Summary:  The %{_vendor} Control Center 
Name:     drakconf
Version:  12.52
Release:  %mkrel 1
# get the source from our git repository
Source0:  %{name}-%{version}.tar.xz
Patch0:	  fix-build.diff
License:  GPLv2+
Group:    System/Configuration
Url:      http://www.mageia.org
BuildRequires: gettext intltool perl_checker
BuildRequires: perl-MDK-Common-devel
BuildRequires: drakxtools-backend
Requires: mageia-release, drakxtools
Requires: harddrake-ui, polkit
Suggests: system-config-printer, rpmdrake, transfugdrake, drakmenustyle, drakguard
#Suggests: draksnapshot # needs to be cleant
Suggests: mgaonline
Suggests: msec-gui
Requires: userdrake
Requires: drakconf-icons = %{version}
Requires: drakx-net-applet, drak3d, drakx-kbd-mouse-x11
# workaround rpm issues on updates (bad ordering relating to virtual packages?):
Requires: perl-Gtk2-WebKit
%define _requires_exceptions perl(Gtk2::Html2)
BuildArch: noarch

%description
drakconf includes the %{_vendor} Control Center which is an interface to 
multiple utilities from DrakXtools.

%package icons
Summary: Icons of the %{_vendor} Control Center
Group:   Graphical desktop/Other

%description icons
This package hold icons of the %{_vendor} Control Center used in
tools' banners.

%prep
%setup -q
%apply_patches

%install
%makeinstall_std

#install lang
%find_lang %{name}

#install menu
mkdir -p %{buildroot}%{_datadir}/applications
install -m644 drakconf.desktop %{buildroot}%{_datadir}/applications/%{_real_vendor}-drakconf.desktop

#install menu icon
mkdir -p %{buildroot}/{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
install -m644 drakconf16.png %{buildroot}/%{_miconsdir}/drakconf.png
install -m644 drakconf32.png %{buildroot}/%{_iconsdir}/drakconf.png
install -m644 drakconf48.png %{buildroot}/%{_liconsdir}/drakconf.png

install -d %{buildroot}/etc
touch %{buildroot}/etc/mcc.conf

ln -s %{name} %{buildroot}%{_bindir}/mcc
ln -s %{_bindir}/%{name} %{buildroot}%{_sbindir}

(cd %{buildroot} ; find usr -type f -name "*.png"  -printf "/%%p\n") > images-big.list
perl -ni -e '/128/ ? print : print STDERR $_ ' images-big.list 2> images.list
cat images-big.list >> %{name}.lang

%files icons -f images.list

%files -f %{name}.lang
%doc COPYING 
%config(noreplace) %ghost %{_sysconfdir}/mcc.conf
%config(noreplace) %{_sysconfdir}/sysconfig/mcc.conf
%{_bindir}/*
%{_sbindir}/*
%{_libexecdir}/*
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/applications/%{_real_vendor}-drakconf.desktop
%{perl_vendorlib}/MDV
%dir %{_datadir}/mcc
%{_datadir}/mcc/progs.conf
%dir %{_datadir}/mcc/themes/
%dir %{_datadir}/mcc/themes/default
%{_datadir}/mcc/themes/default/gtkrc


%changelog
* Thu Jul 10 2014 tv <tv> 12.52-1.mga4
+ Revision: 651118
- fix not displaying contributors in about dialog (mga#13093)
- fix doble fork (Colin Guthrie)

* Sat Jan 25 2014 colin <colin> 12.51-1.mga4
+ Revision: 568157
- Avoid double fork problems mga#11184 mga#12364

* Wed Jan 08 2014 tv <tv> 12.50-1.mga4
+ Revision: 565509
- better fix for segfault on startup (mga#10289)

* Tue Jan 07 2014 tv <tv> 12.49-1.mga4
+ Revision: 565379
- delay starting up logdrake, thus fixing segfault on startup when "Display
  Logs" option is set (mga#10289)

* Sun Jan 05 2014 ennael <ennael> 12.48-1.mga4
+ Revision: 564758
- Mageia 4 design

* Sat Dec 28 2013 tv <tv> 12.47-1.mga4
+ Revision: 562906
- try harder to prevent segfaulting in SIG_CHLD when temporary webkit threads
  exit on init: delay setting CHLD handler on forking the 1st tool (mga#10289)

* Sat Dec 21 2013 tv <tv> 12.46-1.mga4
+ Revision: 559369
- fix segfault when webkit creates threads for good (mga#10289)
- reduce delay for the --start-with=xxx option

* Tue Dec 17 2013 dams <dams> 12.45-2.mga4
+ Revision: 558221
- add back %%{_real_vendor} to fix mga#12014

* Fri Dec 13 2013 tv <tv> 12.45-1.mga4
+ Revision: 556596
- further delay event for slow machines (mga#10289)

* Sun Nov 17 2013 colin <colin> 12.44-1.mga4
+ Revision: 551665
- New version: 12.44

* Tue Oct 22 2013 umeabot <umeabot> 12.43-3.mga4
+ Revision: 541633
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 colin <colin> 12.43-2.mga4
+ Revision: 496269
- Add compatibility symlink for drakconf to sbin

* Sun Oct 13 2013 colin <colin> 12.43-1.mga4
+ Revision: 496217
- New version: 12.43

* Sun Sep 29 2013 tv <tv> 12.42-2.mga4
+ Revision: 488717
- rebuild with fixed rpm (missing suggests tags)

* Thu Sep 05 2013 ennael <ennael> 12.42-1.mga4
+ Revision: 475255
- remove unneeded patch
- fix path in drakconf desktop file

  + colin <colin>
    - Replace hardcoded paths to subtools with a (slightly) dynamic search system

* Thu Sep 05 2013 tmb <tmb> 12.41-4.mga4
+ Revision: 475212
- fix path to drakconf

* Thu Sep 05 2013 tmb <tmb> 12.41-3.mga4
+ Revision: 475208
- fix path to rpmdrake, net_monitor and edit-urpm-sources.pl

* Wed Sep 04 2013 tmb <tmb> 12.41-2.mga4
+ Revision: 475191
- fix path to XFdrake, keyboarddrake, mousedrake and MageiaUpdate

* Wed Sep 04 2013 ennael <ennael> 12.41-1.mga4
+ Revision: 475145
- fix menu including rpmdrake (#11142)

  + colin <colin>
    - Simplify the 'mcc' symlink
    - Do not include unneeded symlink in /usr/sbin/.

* Sun Sep 01 2013 colin <colin> 12.40-1.mga4
+ Revision: 474101
- New Version: 12.40
- o Switch to polkit for authorisation (mga#11125)
- o Delay splash event for slow machines - related to glib crash (mga#10289)
- Fix macro usage as per policy

* Tue Jun 18 2013 tv <tv> 12.39-1.mga4
+ Revision: 444750
- workaround crash with glib-2.36+ (mga#10289)

* Sun Apr 21 2013 tv <tv> 12.38-1.mga3
+ Revision: 410649
- translations updates

* Tue Feb 19 2013 schultz <schultz> 12.37-1.mga3
+ Revision: 399436
- 12.37
-fix left-background-filler

* Sun Feb 17 2013 schultz <schultz> 12.35-1.mga3
+ Revision: 398860
- 12.35 - fix left-background-filler
- 12.34 - mga3 artwork

* Wed Jan 23 2013 fwang <fwang> 12.33-3.mga3
+ Revision: 391411
- update rpm group
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 12.33-2.mga3
+ Revision: 349084
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 tv <tv> 12.33-1.mga3
+ Revision: 330544
- fix text position over splash screen (mga#5873)
- popup a confirm dialog before exiting
- track main_window (should fix quite some dialog placement bugs)

* Thu Dec 06 2012 tv <tv> 12.32-1.mga3
+ Revision: 327344
- fix a crash (mga#6982)
- prevent running internal text mode UI in graphical mode (mga#7161)
- translations updates

* Fri Aug 24 2012 tv <tv> 12.31-1.mga3
+ Revision: 283756
- help fix for Network Sharing

* Sat May 12 2012 ennael <ennael> 12.29-1.mga3
+ Revision: 235514
- use new icon for about splash
- fix splash screen #5873

* Thu May 10 2012 schultz <schultz> 12.28-1.mga2
+ Revision: 235040
- 12.28 - add new ups icon (mga#281)

* Mon Apr 30 2012 ennael <ennael> 12.27-1.mga2
+ Revision: 234410
- new logos and temporary splash

* Fri Apr 13 2012 ennael <ennael> 12.26-1.mga2
+ Revision: 230649
- tremporary splash screen

* Thu Apr 12 2012 ennael <ennael> 12.25-1.mga2
+ Revision: 230492
- fix left background

* Sun Apr 08 2012 ennael <ennael> 12.24-1.mga2
+ Revision: 229766
- 12.24

* Sat Mar 24 2012 tv <tv> 12.23-1.mga2
+ Revision: 226013
- updated translations
- replace very old versionnated requires by simpler requires
- drop require on popt (really lib{,64}popt0
- clean doble requires & old versionnated requires
- drop very old conflicts

* Wed Jan 25 2012 tv <tv> 12.22.1-2.mga2
+ Revision: 201212
- suggests msec-gui now that it isn't pulled in basesystem

* Sat Dec 10 2011 tv <tv> 12.22.1-1.mga2
+ Revision: 180273
- further update Release Notes URL

* Sat Dec 10 2011 tv <tv> 12.22-1.mga2
+ Revision: 180081
- fix Errata URL (mga#3603)
- update Release Notes URL according to mga1?\194?\160practice

  + pterjan <pterjan>
    - Cleanup a bit the spec

* Fri May 27 2011 ennael <ennael> 12.21.9-2.mga1
+ Revision: 100577
- remove drakfax

* Tue May 24 2011 ennael <ennael> 12.21.9-1.mga1
+ Revision: 100311
- fix left background

* Mon May 23 2011 ennael <ennael> 12.21.8-2.mga1
+ Revision: 100271
- clean old suggests and requires
- remove for now draksnapshot suggests as it needs to be improved a lot

* Thu May 19 2011 ennael <ennael> 12.21.8-1.mga1
+ Revision: 99747
- redraw drakconf icons and splash

* Thu May 19 2011 tv <tv> 12.21.7-1.mga1
+ Revision: 99716
- use proper unicode character for (TM) (mga#473)

* Sun May 15 2011 ennael <ennael> 12.21.6-1.mga1
+ Revision: 99181
- remove beta in left background

* Sat May 14 2011 ahmad <ahmad> 12.21.5-1.mga1
+ Revision: 98785
- Update to 12.21.5:
  o Adapt to the update applet name change (it's now mgaapplet*)

* Thu Apr 21 2011 ennael <ennael> 12.21.4-1.mga1
+ Revision: 89402
- remove extended maintainance

* Mon Apr 04 2011 ennael <ennael> 12.21.3-1.mga1
+ Revision: 80299
- update left background filling

* Sun Apr 03 2011 ennael <ennael> 12.21.2-1.mga1
+ Revision: 80004
- update left background

* Sun Feb 20 2011 ahmad <ahmad> 12.21.1-1.mga1
+ Revision: 54470
- MandrivaUpdate is now MageiaUpate, change the icon file names too

* Tue Feb 15 2011 ahmad <ahmad> 12.21-3.mga1
+ Revision: 52027
- don't use separate SOURCES for icons, copy them from the %%_builddir

* Tue Feb 15 2011 ahmad <ahmad> 12.21-2.mga1
+ Revision: 52020
- use new icons

* Mon Feb 14 2011 ennael <ennael> 12.21-1.mga1
+ Revision: 51641
+ rebuild (emptylog)

* Mon Feb 14 2011 ennael <ennael> 12.20.1-2.mga1
+ Revision: 51592
- move to drakx-net-applet require

* Mon Feb 14 2011 dmorgan <dmorgan> 12.20.1-1.mga1
+ Revision: 51587
- Fix drakconf start

* Sun Feb 06 2011 dmorgan <dmorgan> 12.20-1.mga1
+ Revision: 47724
- imported package drakconf

